---
title: XMLDocument.async
slug: Web/API/XMLDocument/async
tags:
  - API
  - DOM
  - DOM Reference
  - Deprecated
  - Document
  - Non-standard
  - Property
  - Reference
  - async
---
<p>{{APIRef("DOM")}}{{Non-standard_header}}{{Deprecated_header}}</p>

<p><code>document.async</code> can be set to indicate whether a {{DOMxRef("XMLDocument.load()")}} call should be an asynchronous or synchronous request. <code>true</code> is the default value, indicating that documents should be loaded asynchronously.</p>

<p>(It has been possible to load documents synchronously since 1.4 alpha.)</p>

<h2 id="Example">Example</h2>

<pre class="brush: js;">function loadXMLData(e) {
  alert(new XMLSerializer().serializeToString(e.target)); // Gives querydata.xml contents as string
}

var xmlDoc = document.implementation.createDocument("", "test", null);

xmlDoc.async = false;
xmlDoc.onload = loadXMLData;
xmlDoc.load('querydata.xml');</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XMLDocument.async")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/XML_in_Mozilla" title="XML_in_Mozilla">XML in Mozilla</a></li>
 <li>{{DOMxRef("XMLDocument.load()")}}</li>
</ul>
